/* Copyright (c) 2011 Asustor Inc. All rights reserved. */

Ext.define('AS.ARC.apps.syslogServer.fn', {
	extend: 'AS.ARC.apps._fn'
});

Ext.define('AS.ARC.apps.syslogServer.page', {
	extend: 'AS.ARC.apps._page'
});

Ext.define('AS.ARC.apps.syslogServer.main', {
	extend: 'AS.ARC._appLeftSelectorRightTabPanel',
	appTag: 'syslogServer',
	title: _S('SERVICES', 'SERVICES'),
    imgUrl: AS.ARC.util.getUserAppsPath() + 'syslogServer/images/',
    appConfig: {
		"module": "AS.ARC.apps.services.main",
		"fnJs": [
			"overview.js",
            "log.js",
            "serversetting.js",
			"archive.js",
			"notification.js",
			"history.js"
		]
	},
    
	// Not support functions
	notSupportFns: [],
	
	createWindow: function () {
		var appMain = this,
			desktop = this.core.getDesktop(),
			win = desktop.getWindow(this.id);
        this.menus = [
            [_S('SYSLOG_SERVER', 'OVERVIEW'), 'overview'],
            [_S('SYSLOG_SERVER', 'LOG'), 'log'],
            [_S('SYSLOG_SERVER', 'SERVER_SETTINGS'), 'serversetting'],
			[_S('SYSLOG_SERVER', 'ARCHIVE'), 'archive'],
			[_S('SYSLOG_SERVER', 'NOTIFICATION'), 'notification'],
			[_S('SYSLOG_SERVER', 'HISTORY'), 'history']
        ];
        
		if (!win) {
			win = desktop.createWindow({
				app: this,
				id: this.id,
				title: this.title,
				animCollapse: false,
				border: false,
				layout: 'fit',
				items: [{
					itemId: 'main',
                    layout: 'border',
					border: false,
					items: [{
						region: 'west',
						itemId: 'selector',
						cls: 'as-selector-panel',
						split: true,
                        maxWidth: 300,
                        minWidth: 50,
						items: [
							this.getSelectorConfig()
						]
					}, {
						xtype: 'panel',
						itemId: 'container',
						layout: 'card',
						region: 'center',
						cls: 'as-function-panel',
						activeItem: 0,
						items: this.getFnPanels()
					}]
				}],
                listeners: {
                    afterrender: function(me) {
						me.down('#selector').setWidth(230);
                    }
                }
			});
			
			this.win = win;
		}
		
		return win;
	}
});